Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.evpull
Class PullEventTracer

    java.lang.Object
      net.sf.saxon.evpull.PullEventTracer

All Implemented Interfaces:
  EventIterator, PullEvent

    public class PullEventTracer

extends Object
implements EventIterator

Diagnostic class to display the sequence of events reported by an EventIterator

Constructor Summary
`PullEventTracer(EventIterator base, Configuration config)` Create a tracer for pull events

Method Summary
`boolean` | `isFlatSequence()` Determine whether the EventIterator returns a flat sequence of events, or whether it can return nested event iterators
`static void` | `main(String[] args)` Main method for testing only
`PullEvent` | `next()` Get the next event in the sequence

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PullEventTracer

    public PullEventTracer(EventIterator base,
                           Configuration config)

  Create a tracer for pull events

  Parameters:
    `base` - the event iterator whose events are to be traced
    `config` - the Saxon configuration

Method Detail

### next

    public PullEvent next()
                   throws XPathException

  Get the next event in the sequence

  Specified by:
    `next` in interface `EventIterator`
  Returns:
    the next event, or null when the sequence is exhausted. Note that since an EventIterator is itself a PullEvent, this method may return a nested iterator.
  Throws:
    `XPathException` - if a dynamic evaluation error occurs

### isFlatSequence

    public boolean isFlatSequence()

  Determine whether the EventIterator returns a flat sequence of events, or whether it can return nested event iterators

  Specified by:
    `isFlatSequence` in interface `EventIterator`
  Returns:
    true if the next() method is guaranteed never to return an EventIterator

### main

    public static void main(String[] args)
                     throws Exception

  Main method for testing only

  Parameters:
    `args` - not used
  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.